#ifndef __XHELP__
#define __XHELP__

#define ICON_WIDTH 16
#define ICON_HEIGHT 16

void SetProperty(Window win,Atom at,Atom type,long val);
unsigned long GetColor(unsigned short red,unsigned short green,unsigned short blue);
int GetDesktop(Window window);
int GetCurrentDesktop();
char *GetWindowName(Window win,int *length);
void *GetPropertyData(Window win, Atom prop, Atom type, int *items);
int IsHidden(Window win);
int IsIconified(Window win);
int GetWindowPid(Window win);
void ClientToScreen(Window from,int x,int y,int *retX,int *retY);

void Maximize(Window wnd);
void Minimize(Window wnd);
void SetFocus(Window wnd);
void ToggleShade(Window win);

void PathRemove(char *buffer);
void PathAppend(char *buffer,const char *path);
char *PathGetExtension(char *buffer);

#endif
